<?php

declare(strict_types=1);

namespace Apexl\Io\Cron;

use Apexl\Io\Cron\Hooks\ConsoleCommands;
use Apexl\Io\Interfaces\ProvidesHooksInterface;
use Apexl\Io\Module;

readonly class CronModule extends Module implements ProvidesHooksInterface
{
    public final const string HOOK__REGISTER_CRON_TASK = 'cron.register_cron_tasks';

    public function hooks(): array
    {
        return [
            ConsoleCommands::class,
        ];
    }
}
